/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TImportMapping;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TImportMappingRecord extends UpdatableRecordImpl<TImportMappingRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_import_mapping.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_import_mapping.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_import_mapping.pk</code>. the used id, act
     * as primary key
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_import_mapping.pk</code>. the used id, act
     * as primary key
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_import_mapping.dn</code>. foreign key to
     * T_CORE_ELEMENT_HIERARCHY.dn
     */
    public void setDn(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_import_mapping.dn</code>. foreign key to
     * T_CORE_ELEMENT_HIERARCHY.dn
     */
    public String getDn() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_import_mapping.dn_mapping</code>. mapping
     * domain name in import source
     */
    public void setDnMapping(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_import_mapping.dn_mapping</code>. mapping
     * domain name in import source
     */
    public String getDnMapping() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_import_mapping.fk_import_mapping</code>. the
     * id from parent
     */
    public void setFkImportMapping(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_import_mapping.fk_import_mapping</code>. the
     * id from parent
     */
    public Integer getFkImportMapping() {
        return (Integer) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TImportMappingRecord
     */
    public TImportMappingRecord() {
        super(TImportMapping.T_IMPORT_MAPPING);
    }

    /**
     * Create a detached, initialised TImportMappingRecord
     */
    public TImportMappingRecord(LocalDateTime lastchange, Integer pk, String dn, String dnMapping, Integer fkImportMapping) {
        super(TImportMapping.T_IMPORT_MAPPING);

        setLastchange(lastchange);
        setPk(pk);
        setDn(dn);
        setDnMapping(dnMapping);
        setFkImportMapping(fkImportMapping);
        resetChangedOnNotNull();
    }
}
